import {NgModule} from '@angular/core';
import {IonicPageModule} from 'ionic-angular';
import {DealPage} from './deal';
import {DealDetailPage} from "./deal-detail/deal-detail";
import {Detail1Page} from "./detail1/detail1";
import {Detail2Page} from "./detail2/detail2";
import {Detail3Page} from "./detail3/detail3";
import {Detail4Page} from "./detail4/detail4";
import {Detail5Page} from "./detail5/detail5";
import {HistoryPage} from "./history/history";
import {ApprovalsPage} from "./approvals/approvals";
import {FileListPage} from "./file-list/file-list";
import {Detail6Page} from "./detail6/detail6";

@NgModule({
    declarations: [
        DealPage,
        DealDetailPage,
        Detail1Page,
        Detail2Page,
        Detail3Page,
        Detail4Page,
        Detail5Page,
        Detail6Page,
        HistoryPage,
        ApprovalsPage,
        FileListPage,
    ],
    imports: [
        IonicPageModule.forChild(DealPage),
    ],
    entryComponents: [
        DealDetailPage,
        Detail1Page,
        Detail2Page,
        Detail3Page,
        Detail4Page,
        Detail5Page,
        Detail6Page,
        HistoryPage,
        ApprovalsPage,
        FileListPage,
    ]
})
export class DealPageModule {
}
