import {NgModule} from '@angular/core';
import {IonicPageModule} from 'ionic-angular';
import {HomePage} from "./home";
import {ComponentsModule} from "../../components/components.module";
import {ContactPage} from "./contact/contact";
import {DataReportPage} from "./data-report/data-report";
import {ContactListPage} from "./contact-list/contact-list";
import {ContactDetailPage} from "./contact-detail/contact-detail";
import {DoSupervisePage} from "./do-supervise/do-supervise";
import {DoVerityPage} from "./do-verity/do-verity";

@NgModule({
    declarations: [
        HomePage,
        ContactPage,
        DataReportPage,
        ContactListPage,
        ContactDetailPage,
        DoSupervisePage,
        DoVerityPage,
    ],
    imports: [
        IonicPageModule.forChild(HomePage),
        ComponentsModule,
    ],
    entryComponents: [
        ContactPage,
        DataReportPage,
        ContactListPage,
        ContactDetailPage,
        DoSupervisePage,
        DoVerityPage,
    ]
})
export class HomeModule {
}
