import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {MineService} from "../mine.service";

@Component({
    selector: 'page-my-supervise',
    templateUrl: 'my-supervise.html',
})
export class MySupervisePage {
    dbList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private mine: MineService) {
    }

    ionViewDidLoad() {
        this.getList();
    }

    getList() {
        const data = {
            page: 1,
            limit: "1000",
            flag: 1
        };
        this.mine.dblog(data).subscribe(
            (res) => {
                if(res.code == "0"){
                    this.dbList = res.page.list.log;
                }
            }
        )
    }

}
